Sisimai::Reason::OnHold(3pm)

NAME
Sisimai::Reason::OnHold - Bounce reason is "onhold" or not.

SYNOPSIS
    use Sisimai::Reason::OnHold;
    print Sisimai::Reason::OnHold->match; # 0

DESCRIPTION
Sisimai::Reason::OnHold checks the bounce reason is "onhold" or not. This class is called only Sisimai::Reason class. Sisimai will set "onhold" to the reason of email bounce if there is no (or less) detailed information about email bounce for judging the reason.

CLASS METHODS

  "text()"
text() returns string: "onhold".

    print Sisimai::Reason::OnHold->text;  # onhold

  "match(string)"
match() returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::OnHold->match; # 0;

  "true(Sisimai::Fact)"
true() returns 1 if the bounce reason is "onhold". The argument must be Sisimai::Fact object and this method is called only from Sisimai::Reason class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2016,2018,2020,2021 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.